// PrtDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SampleCE.h"
#include "PrtDlg.h"
#include "lineptr.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BOOL g_bPrint80ColumnReport;
CString g_szINKSIG(_T("\\windows\\start menu\\inksig.bmp"));
/////////////////////////////////////////////////////////////////////////////
// CPrtDlg dialog


CPrtDlg::CPrtDlg(CWnd* pParent /*=NULL*/)
   : CDialog(CPrtDlg::IDD, pParent)
{
   //{{AFX_DATA_INIT(CPrtDlg)
      // NOTE: the ClassWizard will add member initialization here
   //}}AFX_DATA_INIT
}


void CPrtDlg::DoDataExchange(CDataExchange* pDX)
{
   CDialog::DoDataExchange(pDX);
   //{{AFX_DATA_MAP(CPrtDlg)
   DDX_Control(pDX, IDC_LINEPRINTER1, m_Lptr);
   //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPrtDlg, CDialog)
   //{{AFX_MSG_MAP(CPrtDlg)
   ON_BN_CLICKED(IDC_BUTTON_PRINT, OnButtonPrint)
   ON_BN_CLICKED(IDC_BUTTON_PRINT_CANCEL, OnButtonPrintCancel)
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPrtDlg message handlers

void CPrtDlg::OnButtonPrint() 
{
   long lRet = 0;
   TCHAR szTmp[256];
   BOOL bContinuousFeed = TRUE;
    
   CString szINIFILE(_T("Intermec\\Printers"));
   CString szININAME(_T("\\windows\\start menu\\wince.ini"));
   CString szPRINTERNAME;

   m_bCancelPrint = FALSE;
   g_bPrint80ColumnReport = TRUE;

   if(IsDlgButtonChecked(IDC_PRINTER1))
   {
      szPRINTERNAME.Empty();
      szPRINTERNAME += _T("Intermec 6808 40-Column");
      g_bPrint80ColumnReport = FALSE;
   }
   if(IsDlgButtonChecked(IDC_PRINTER2))
   {
      szPRINTERNAME.Empty();
      szPRINTERNAME += _T("Intermec 6808 80-Column");
   }
   if(IsDlgButtonChecked(IDC_PRINTER3))
   {
      szPRINTERNAME.Empty();
      szPRINTERNAME += _T("Intermec 6820 NPCP");
      bContinuousFeed = FALSE;
   }
   if(IsDlgButtonChecked(IDC_PRINTER4))
   {
      szPRINTERNAME.Empty();
      szPRINTERNAME += _T("Intermec PB20");
      g_bPrint80ColumnReport = FALSE;
   }
 
TRY{ 
    
   lRet = m_Lptr.StartLP(szINIFILE,
                         szPRINTERNAME,
                         NULL,(long)(this->GetSafeHwnd()),
                         szININAME);

   if (!lRet)
   {
      if (g_bPrint80ColumnReport)
      {
         this->PrintSample80(bContinuousFeed);
      }
      else
      {
         this->PrintSample40();
      }

      m_Lptr.Finish();
   }
   else
   {        
      wsprintf(szTmp,_T("StartLP:%d"),lRet);
      MessageBox(szTmp,_T("ERROR PRINTING..."));
   }
}
CATCH(COleDispatchException, pEX)
{
   pEX->ReportError();
   MessageBox(szTmp,_T("EXCEPT ERROR PRINTING..."));
}
END_CATCH   
}

void CPrtDlg::OnButtonPrintCancel() 
{
   // TODO: Add your control notification handler code here
   TRY
   {
      m_Lptr.Cancel();
   }
   CATCH(CException, pEX)
   {
      pEX->ReportError();
   }
   END_CATCH
}

BEGIN_EVENTSINK_MAP(CPrtDlg, CDialog)
   //{{AFX_EVENTSINK_MAP(CPrtDlg)
   ON_EVENT(CPrtDlg, IDC_LINEPRINTER1, 2 /* NotifyMessage */, OnNotifyMessageLineprinter, VTS_I4 VTS_I4)
   ON_EVENT(CPrtDlg, IDC_LINEPRINTER1, 1 /* HeaderEvent */, OnHeaderEventLineprinter, VTS_I4 VTS_I4)
   //}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CPrtDlg::OnNotifyMessageLineprinter(long MsgType, long MsgError) 
{
   // TODO: Add your control notification handler code here
   TCHAR szTmp[256];
   TCHAR szMsgError[256] = {_T("DEFAULT")};

   if (MsgType == NLPNC_PRINTER_ERROR)
   {
      BOOL bFatal = FALSE;

      switch (MsgError)
      {
      case NLPNE_NPCP_PNRDY:
         wsprintf(szMsgError,_T("Printer Not Ready:%d"),MsgError);
         break;
      case NLPNE_NPCP_RXTMO:
         wsprintf(szMsgError,_T("Not Receiving:%d"),MsgError);
         break;
      case NLPNE_NPCP_TXTMO:
         wsprintf(szMsgError,_T("Not Transmitting:%d"),MsgError);
         break;
      case NLPNE_NPCP_BADADR:
         wsprintf(szMsgError,_T("Frame Address:%d"),MsgError);
         break;
      case NLPNE_NPCP_GAPERR:
         wsprintf(szMsgError,_T("Gap - Timeout:%d"),MsgError);
         break;
      case NLPNE_NPCP_LSRPE:
         wsprintf(szMsgError,_T("Frame Parity:%d"),MsgError);
         break;
      case NLPNE_NPCP_IFTS:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Invalid Frame This State:%d"),MsgError);
         break;
      case NLPNE_NPCP_NS_NE_VR:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Sequence - NS<>VR:%d"),MsgError);
         break;
      case NLPNE_NPCP_NR_NE_VS:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Sequence - NR<>VS:%d"),MsgError);
         break;
      case NLPNE_NPCP_MAC_CRCERR:
         wsprintf(szMsgError,_T("CRC:%d"),MsgError);
         break;
      case NLPNE_NPCP_RLENERR:
         wsprintf(szMsgError,_T("Receive Length:%d"),MsgError);
         break;
      case NLPNE_NPCP_FRMERR:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Frame Reject:%d"),MsgError);
         break;
      case NLPNE_NPCP_FRMERR_IF:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Invalid Frame:%d"),MsgError);
         break;
      case NLPNE_NPCP_FRMERR_NR:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("NR Mismatch:%d"),MsgError);
         break;
      case NLPNE_NPCP_FRMERR_NS:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("NS Mismatch:%d"),MsgError);
         break;
      case NLPNE_NPCP_NDMERR:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Normal Disconnect Mode:%d"),MsgError);
         break;
      case NLPNE_NPCP_BINDERR:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Bind:%d"),MsgError);
         break;
      case NLPNE_NPCP_IPLDUR:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Invalid Pres.Layer Resp.:%d"),MsgError);
         break;
      case NLPNE_HEADJAM:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Head Jam:%d"),MsgError);
         break;
      case NLPNE_PAPEROUT:
         wsprintf(szMsgError,_T("Paper Out:%d"),MsgError);
         break;
      case NLPNE_LOWVOLTS:
         wsprintf(szMsgError,_T("Low Voltage:%d"),MsgError);
         break;
      case NLPNE_HIVOLTS:
         wsprintf(szMsgError,_T("Over Voltage:%d"),MsgError);
         break;
      case NLPNE_LOWBAT:
         wsprintf(szMsgError,_T("Low Battery:%d"),MsgError);
         break;
      case NLPNE_COVEROFF:
         wsprintf(szMsgError,_T("Cover Off:%d"),MsgError);
         break;
      case NLPNE_HEADFAULT:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Printer Head Fault:%d"),MsgError);
         break;
      case NLPNE_PFFAULT:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Paper Feed Fault:%d"),MsgError);
         break;
      case NLPNE_PTIMEOUT:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Printer Timed Out:%d"),MsgError);
         break;
      case NLPNE_PCANCELED:
         bFatal = TRUE;
         wsprintf(szMsgError,_T("Printer Canceled Print Job:%d"),MsgError);
         break;
      default:
         wsprintf(szMsgError,_T("Unknown:%d"),MsgError);
         break;
      }

      wsprintf(szTmp,_T("[NLPNE_PRINTER_ERROR:] %s"),szMsgError);

      if (bFatal)
      {
         ::MessageBox(NULL,szTmp,_T("FATAL ERROR PRINTING..."),MB_OK);

         m_Lptr.Cancel();
      }
      else
      {
         TCHAR szRetCan[270];

         wsprintf(szRetCan,_T("%s,\r\nRetry?"),szTmp);

         int iRet = ::MessageBox(NULL,szRetCan,_T("NONFATAL ERROR PRINTING..."),MB_OKCANCEL);

         if (iRet == IDCANCEL)
         {
            m_Lptr.Cancel();
         }
      }

    }
    else if (MsgType == NLPNC_CANCEL)
    {
       // Exit if printing has already been cancelled.
       if (m_bCancelPrint)
       {
          return;
       }

       // Set the cancel print flag so that we don't display further errors.
       m_bCancelPrint = TRUE;

       switch (MsgError)
       {
       case NLPNE_WAPIESCAPE:
          wsprintf(szMsgError,_T("NLPNC_CANCEL: NLPNE_WAPIESCAPE"));
          break;
       case NLPNE_WAPICREATEDC:
          wsprintf(szMsgError,_T("NLPNC_CANCEL: NLPNE_WAPICREATEDC"));
          break;
       case NLPNE_INITNODEFPRINTER:
          wsprintf(szMsgError,_T("NLPNC_CANCEL: NLPNE_INITNODEFPRINTER"));
          break;
       case NLPNE_FINISH:
          wsprintf(szMsgError,_T("NLPNC_CANCEL: NLPNE_FINISH"));
          break;
       case NLPNE_USERCANCEL:
          wsprintf(szMsgError,_T("NLPNC_CANCEL: NLPNE_USERCANCEL"));
          break;
       default:
          wsprintf(szMsgError,_T("NLPNC_CANCEL: UNKNOWN:"), MsgError);
       }

       ::MessageBox(NULL,szMsgError,_T("CANCEL PRINTING..."),MB_OK);
    }
    else if (MsgType == NLPNC_COMPLETE)
    {
       ::MessageBox(NULL,_T("NLPNC_COMPLETE"),_T("PRINTING..."),MB_OK);
    }

    return;
}

void CPrtDlg::PrintSample40()
{
   CString csBuf;

   csBuf.Empty();

   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
   m_Lptr.Write( (csBuf = _T("             SALES ORDER")) );
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
   m_Lptr.NewLine();
   m_Lptr.NewLine();

   m_Lptr.Write( (csBuf = _T("CUSTOMER: Casual Step")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("          Distributing Co.")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("          550 2nd Street S.E.")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("          Cedar Rapids, IA 52401-1234")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("DOCUMENT# 123456789012")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("  TAX ID# AB4001")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("START TIME: 13:15")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("  END TIME: 13:30")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T(" PRD. DESCRIPT.   PRC.  QTY.    NET.")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T(" 1501 Timer-Md1  13.15     1   13.15")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T(" 1502 Timer-Md2  13.15     3   39.45")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T(" 1503 Timer-Md3  13.15     1   13.15")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T(" 1504 Timer-Md4  13.15     4   52.60")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T(" 1505 Timer-Md5  13.15     5   65.75")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                        ----  ------")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("              SUBTOTAL    15  197.25")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("                        ----  ------")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("           TOTAL SALES    15  197.15")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("               PRODUCT        179.25")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("               DEPOSIT         18.00")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                              ------")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("              SUBTOTAL        197.25")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("      SUBTOTAL CREDITS          0.00")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("           OTHER ITEMS          2.14")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                 LABOR          4.44")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("          5% State Tax          9.86")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("                              ------")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("           BALANCE DUE        213.74")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T(" PAYMENT TYPE: CASH")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Bitmap(11, 6, 15, g_szINKSIG);
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("       SIGNATURE / STORE STAMP")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
   m_Lptr.Write( (csBuf = _T("              ORIGINAL")) );
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("            Thank You For")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("            Your Business")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("     Comment of Questions, Please")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("      Call 1-888-SERVICE M-F 7-5")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
}

void CPrtDlg::PrintSample80(BOOL bContinuousFeed)
{
   CString csBuf;
   
   csBuf.Empty();
   
   m_Lptr.Write( (csBuf = _T("  Part#               DESCRIPTION         QTY    PRICE  DEPOSIT         NET")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
   m_Lptr.Write( (csBuf = _T("                                         SALES")) );
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("   1501               Timer Module 1        1    11.95    1.20          13.15")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("   1502               Timer Module 2        3    11.95    1.20          39.45")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("   1503               Timer Module 3        1    11.95    1.20          13.15")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("   1504               Timer Module 4        4    11.95    1.20          52.60")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("   1505               Timer Module 5        5    11.95    1.20          65.75")) );
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("                                         ____                    _____________")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("             SUBTOTAL                      15                          197.25")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                         ____                    _____________")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("             TOTAL SALES                   15                          197.25")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
   m_Lptr.Write( (csBuf = _T("ORIGINAL INVOICE")) );
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
   
   m_Lptr.Write( (csBuf = _T("                    PRODUCT                            179.25")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                    DEPOSIT                             18.00")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                                                     ________")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                    SUBTOTAL                           197.25")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                    SUBTOTAL CREDITS                     0.00")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                    OTHER ITEMS                          2.19")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                    LABOR                                4.44")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                    5% State Tax                         9.86")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                                                    _________")) );
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("                                    BALANCE DUE: CHARG                 213.74")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   if(!bContinuousFeed)
   {
      m_Lptr.NewLine();
      
      m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
      m_Lptr.Write( (csBuf = _T("                                     CONTINUED")) );
      m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
      m_Lptr.FormFeed();
      m_Lptr.NewLine();
      m_Lptr.NewLine();
      m_Lptr.NewLine();
   }

   m_Lptr.Bitmap(35, 6, 15, g_szINKSIG);
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   m_Lptr.NewLine();

   m_Lptr.Write( (csBuf = _T("                               SIGNATURE / STORE STAMP")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
   m_Lptr.Write( (csBuf = _T("                                    ORIGINAL")) );
   m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
   m_Lptr.NewLine();
   
   m_Lptr.Write( (csBuf = _T("                                   Thank You For")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                                   Your Business")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                            Comment or Questions, Please")) );
   m_Lptr.NewLine();
   m_Lptr.Write( (csBuf = _T("                             Call 1-888-SERVICE M-F 7-5")) );
   m_Lptr.NewLine();
   m_Lptr.NewLine();
   
}

void CPrtDlg::OnHeaderEventLineprinter(long MsgFooter, long MsgIgnore) 
{
   CString csBuf;
   
   csBuf.Empty();
   
   if(MsgFooter == NLPST_HEADER) //Header request!
   {
      if (g_bPrint80ColumnReport)
      {
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
         m_Lptr.Write( _T("LOCATION# 123456 SERVICE AREA# 1233456 SERVICE REP# 123456 11/06/00 09:53 PAGE 1") );
         m_Lptr.NewLine();
         
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
         m_Lptr.Write( _T("                                  Casual Step") );
         m_Lptr.NewLine();
         m_Lptr.Write( _T("                                Distributing Co.") );
         m_Lptr.NewLine();
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
         m_Lptr.Write( _T("                               550 2nd Street S.E.") );
         m_Lptr.NewLine();
         m_Lptr.Write( _T("                             Cedar Rapids, IA 52401-1234") );
         m_Lptr.NewLine();
         m_Lptr.NewLine();
         
         m_Lptr.Write( _T("CUSTOMER#   123456   Grant Adams                        ") );
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
         m_Lptr.Write( _T("DOCUMENT# 123456789012") );
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
         m_Lptr.NewLine();
         
         m_Lptr.Write( _T("START TIME: 09:45    Box 123                            TAX ID# AB4001") );
         m_Lptr.NewLine();
         m_Lptr.Write( _T("END TIME:   09:46    Tampa, FL") );
         m_Lptr.NewLine();
         m_Lptr.NewLine();
         m_Lptr.NewLine();
      }
      else
      {
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
         
         m_Lptr.Write( (csBuf = _T("     DATE: 02/01/2001 TIME: 13:40")) );
         m_Lptr.NewLine();
         m_Lptr.Write( (csBuf = _T("    ROUTE# 123456  SALESREP# 54321")) );
         m_Lptr.NewLine();
         m_Lptr.NewLine();
      }     
   }
   else if(MsgFooter == NLPST_FOOTER)
   {
      if (g_bPrint80ColumnReport)
      {
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
         m_Lptr.Write( _T("                    Every Journey Begins With a Single Step.") );
         m_Lptr.NewLine();
         m_Lptr.Write( _T("                           Begin Yours in our Shoes!") );
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
         m_Lptr.NewLine();
      }
      else
      {
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_BOLD, NLPFE_NORMAL);
         m_Lptr.Write( _T("Every Journey Begins With a Single Step.") );
         m_Lptr.NewLine();
         m_Lptr.Write( _T("       Begin Yours in our Shoes!") );
         m_Lptr.NewLine();
         m_Lptr.FontSelect(NLPFT_NORMAL, NLPFS_NORMAL, NLPFE_NORMAL);
      }
   }    
}

BOOL CPrtDlg::OnInitDialog() 
{
   CDialog::OnInitDialog();
   
   //Set the following to TRUE to suppress error  
   //generation before printing.
   m_bCancelPrint = TRUE;
   
   //Default the printer to 6808, 40-Col, COM1.
   CheckDlgButton(IDC_PRINTER1, 1);
   
   return TRUE;  // return TRUE unless you set the focus to a control
                 // EXCEPTION: OCX Property Pages should return FALSE
}
